<div class="getcardstep">
    <h3 class="steptitle row"
        :class="$root.rtl ? 'rtl' : ''"
        v-html="$parent.steps.step3.title[$root.lang]"
    ></h3>

    <div class="stephint row first_stephint"
         :class="$root.rtl ? 'rtl' : ''"
    >
        <div class="formstep-imagelink" style="filter: grayscale(1)">
            <img src="/open.png" alt="">
            {{ $parent.steps.step3.hint[$root.lang] }}
        </div>

    </div>
    <div class="formstep row formstep-step formstep-step3">
        <div class="formstep-group"
             v-for="field in $parent.steps.step3.fields"
             :class="$parent.inputs[field].valid">
            <div class="row formstep-row" v-if="$parent.inputs[field].textHint || $parent.inputs[field].imgHint">
                <div class="formstep-texthint"
                     v-if="$parent.inputs[field].textHint"
                     v-html="$parent.inputs[field].textHint"
                ></div>
            </div>

            <div class="formstep-field" v-if="$parent.inputs[field].type==='text'">
                <input class="formstep-input" v-model.trim='$parent.inputs[field].value' :id="$parent.inputs[field].name"
                    :disabled="$parent.inputs[field].disable"
                    v-mask="( $parent.inputs[field].regexp) ? { regex: $parent.inputs[field].regexp } : ''"
                />


                <label class="formstep-label"
                       v-if="$parent.inputs[field].label"
                       :for="$parent.inputs[field].name"
                       :class="$parent.inputs[field].value != '' ? 'active' : ''"
                       v-html="$parent.inputs[field].labels[$parent.convertLangToForm()]"
                ></label>
                <span class="formstep-valid_mark"></span>
                <span class="formstep-unvalid_mark"></span>
            </div>

            <div class="formstep-field" v-else-if="$parent.inputs[field].type==='select'">
                <v-select :options="$parent.inputs[field].options"
                          :reduce="adminarea => adminarea.id"
                          :label="($root.lang === 'ar') ? 'nameRu' : $parent.convertLangToForm()" 
                          :searchable="false" class="formstep-select" v-model="$parent.inputs[field].value"
                          :disabled="$parent.inputs[field].disable"
                          :clearable="true"
                          :resetOnOptionsChange="true"
                ></v-select>
                <label class="formstep-label"
                       v-if="$parent.inputs[field].label"
                       :for="$parent.inputs[field].name"
                       :class="$parent.inputs[field].value != '' ? 'active' : ''"
                       v-html="$parent.inputs[field].labels[$parent.convertLangToForm()]"
                ></label>
                <span class="formstep-valid_mark"></span>
                <span class="formstep-unvalid_mark"></span>
            </div>
        </div>


    </div>
    <div class="row buttons">
        <div class="button transparency buttons-back"
             v-on:click="$parent.goToPrevStep('#getcard')"
        >
            {{$parent.prev[$root.lang]}}
        </div>
        <div v-if="$parent.steps.step3.valid"
             class="button buttons-next"
             v-on:click="$parent.goToNextStep('#getcard')"
             id="next3"
        >
            {{$parent.next[$root.lang]}}
        </div>
        <div v-else  class="button buttons-next disabled">{{$parent.next[$root.lang]}}</div>
       
    </div>
</div>
